<template>
  <router-link
    :to="`/news/${item.id}`"
    class="p-4 rounded-xl shadow-card_1 hover:shadow-card_3 transition-all relative bg-secondary-90"
  >
    <div class="flex gap-5">
      <div
        class="h-20 w-20 overflow-hidden rounded-xl bg-primary-40 flex-shrink-0 absolute -top-1 -left-1 hover:scale-150 hover:shadow-card_5 transition-all"
      >
        <img
          class="object-cover h-full w-full object-center"
          :src="item.img"
          alt="Картинка новости"
        />
      </div>
      <div class="ml-20">
        <h3 class="text-xl">{{ item.title }}</h3>
        <p class="text-sm">Дата публикации: {{ item.date }}</p>
      </div>
    </div>

    <div class="mt-4">
      <p>{{ item.preview_text }}</p>
    </div>
  </router-link>
</template>

<script lang="ts">
import { defineComponent, PropType } from "vue";
import { INewItem } from "../../models/news/new.model";

export default defineComponent({
  name: "NewsList",
  props: {
    item: {
      type: Object as PropType<INewItem>,
      required: true,
    },
  },
});
</script>
